> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Performance API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Performance Records

```json theme={null}
{
  "module": "performance",
  "count_only": true
}
```

### List All Performance Records

```json theme={null}
{
  "module": "performance"
}
```

### List Performance Records with Specific Fields

```json theme={null}
{
  "module": "performance",
  "filters": {
    "fields": [
      "name",
      "account_name__c",
      "asset_class_picklist__c",
      "sub_asset_class__c",
      "as_of_date__c",
      "net_irr__c",
      "moic__c",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter by Investment Strategy

```json theme={null}
{
  "module": "performance",
  "filters": {
    "filter": [
      {
        "investment_strategy__c": {
          "$equals": "a4JQU000000pALV2A2"
        }
      }
    ]
  }
}
```

### Filter by As Of Date Range

```json theme={null}
{
  "module": "performance",
  "filters": {
    "filter": [
      {
        "as_of_date__c": {
          "$between": ["2025-01-01", "2025-12-31"]
        }
      }
    ],
    "fields": ["name", "account_name__c", "as_of_date__c", "net_irr__c", "moic__c"]
  }
}
```

### Filter by Verified Performance

```json theme={null}
{
  "module": "performance",
  "filters": {
    "filter": [
      {
        "performance_verified__c": {
          "$equals": "t"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````